package de.ozgcloud.vorgang.servicekonto;

import de.ozgcloud.vorgang.vorgang.GrpcServiceKonto;

public class GrpcServiceKontoTestFactory {

	public static GrpcServiceKonto create() {
		return createBuilder().build();
	}

	public static GrpcServiceKonto.Builder createBuilder() {
		return GrpcServiceKonto.newBuilder()
				.setType(ServiceKontoTestFactory.TYPE)
				.setTrustLevel(ServiceKontoTestFactory.TRUST_LEVEL)
				.addPostfachAddresses(GrpcPostfachAddressTestFactory.create());
	}
}
